> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Data Entity

> This endpoint deletes a specific data entity by its ID.

### Auth Headers

<ParamField required header="x-metal-api-key" type="string">
  An API key for your org.
</ParamField>

<ParamField required header="x-metal-client-id" type="string">
  A Client ID for your org.
</ParamField>

### Params

<ParamField required path="id" type="string">
  The unique ID of the data entity you wish to delete.
</ParamField>

<RequestExample>
  ```bash theme={null}
  # Example Request
  curl -X DELETE "https://api.getmetal.io/v1/data-entities/{id}" \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <client-id>' \
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  204 No Content
  ```
</ResponseExample>
